Name:		amaya
Version: 	9.2.2
Release: 	%mkrel 1
Summary: 	W3C's browser/web authoring tool
Group:   	Networking/WWW
Source0: 	http://www.w3.org/Amaya/Distribution/amaya-fullsrc-%{version}.tar.bz2
Source1: 	%name.1.bz2
Patch0:		amaya-0.9.1-fix-build.patch.bz2
Patch1:		amaya-0.9.2.2-fix-build-x86_64.patch.bz2
# enable to link with system libw3c-libwww lib:
# BuildConflicts: w3c-libwww-devel
# Patch2:		amaya-0.9.1-fix-link.patch.bz2
License: 	W3C License
Url:     	http://www.w3.org/Amaya/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	ungif-devel jpeg-devel png-devel libz-devel
BuildRequires: 	gtk-devel perl bison flex libimlib-devel
BuildRequires:	XFree86-devel freetype2-devel
BuildRequires:	redland-devel
Obsoletes:	amaya-common amaya-gtk amaya-lesstif
Provides:	amaya-common amaya-gtk

%description
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

This graphical HTML Editor supports many of the latest
draft standards for HTML/XHTML.

%prep
%setup -q -n Amaya
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
mkdir -p gtk-build
cd gtk-build
../configure --prefix=$RPM_BUILD_ROOT%_libdir --exec-prefix=$RPM_BUILD_ROOT/%_prefix --libdir=%_libdir --enable-system-redland
# make -j2 fails
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cd gtk-build
make install
pushd $RPM_BUILD_ROOT/%_bindir/
ln -sf ../../usr/%_lib/Amaya-*/gtk/bin/amaya amaya-gtk
ln -sf ../../usr/%_lib/Amaya-*/gtk/bin/amaya amaya
popd

# MDK menu entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%name" icon="networking_www_section.png"\
needs="x11" title="Amaya" \
longtitle="W3C's browser/web authoring tool" section="Networking/WWW"
EOF

# Man pages
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_mandir/man1/%name.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README* amaya/COPYRIGHT*
%_libdir/Amaya*
%_mandir/man1/%name.*
%_bindir/%name
%_bindir/%name-gtk
%_menudir/%name

%changelog
* Wed Nov 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 9.2.2-1mdk
- new release
- use system redland library
- patch 0: fix build with current redland
- patch 1: 64bit fixes for x86_64
- patch 2: first bits toward using system w3c library
- fix binary link on x86_64 (blino)

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 8.6-1mdk
- new release

* Wed May 19 2004 Austin Acton <austin@mandrake.org> 8.5-1mdk
- 8.5
- disable bookmarks (redlan mayhem)

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 8.2-1mdk
- 8.2

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 8.1a-2mdk
- obsolete and provide old amaya-common, amaya-gtk

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 8.1a-1mdk
- 8.1a
- drop patches (now detects most local libraries)
- enable bookmarks
- don't enable GL (make non-working binary for me, you?)
- drop deprecated motif build and obsolete the split packages
- own directories (keep distlint happy)
- buildrequires bison, flex
- fix icon

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 7.0-2mdk
- BuildRequires ( libimlib1-devel )
- one liner perl ( pb with errno )

* Wed Dec 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 7.0-1mdk
- 7.0

* Tue Oct 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- new release
	- updated zlib patch to fit new Makefile

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.1-1mdk
- new release

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-4mdk
- speed up the build by
	- removing -g
	- use %%make^h^h^h^h^h^h err not... too buggy
- split into lesstif/gtk/common packages
	- add wrapprt to amaya-{gtk,lesstif} to prevent thotlib fscking
	- use alternatives
- add menu entry
- spec clean:
	- enhance descriptions and summaries
	- remove uneeded prefix
	- fix BuildRequires
	- get rid of $RPM_BUILD_DIR references
	- remove $RPM_BUILD_ROOT cleaning from %%prep
	- striping is spec-helper job
- versionate and clean shared libs patches (which make use of system wide
  libpng and zlib) [Patch0]
  by the way, this is a nice patch, lenny
- use imlib-config [Patch1]
- use system-wide w3c-libwww [Patch2] => smaller package
  still a problem to investigate => will disable this at this stage
- add amaya{,-gtk,-lesstif}(1) man pages [Sources 1 to 3]
- add ownership on amaya directories
- move package files from %%_datadir to %%_libdir since there's
  binary files in


* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.3-3mdk
- use shared zlib lib

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-2mdk
- s!(W3C) licence!\1Licence for new rpmlint

* Wed Jan 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.3-1mdk
- 5.3

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1-2mdk
- sanitize

* Wed Jul 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1-1mdk
- new release

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release

* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-2mdk
- rebuild

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-1mdk
- updated to 4.3.2

* Fri Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-2mdk
- fix desc & url

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-1mdk 
- updated to 4.3.1

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-1mdk
- new version

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.2.1-1mdk
- updated to 4.2.1

* Fri Nov 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.1-1mdk
- new and shiny distribution of Amaya.
- strip_me_babe

* Sat Nov 11 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0-1mdk
- new and shiny version from the good people at w3.

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.2.1-1mdk
- first package for mandrake 

